Last Comment Bug 882334 - [Mac] Lightning 2.5, 2.6 & 2.7 not working [TypeError: Components.classes[cid] is undefined]
: [Mac] Lightning 2.5, 2.6 & 2.7 not working [TypeError: Components.classes[cid...
Status: RESOLVED FIXED
: regression
Product: Calendar
Classification: Client Software
Component: General (show other bugs)
: Lightning 2.5
: x86 Mac OS X
: -- blocker with 1 vote (vote)
: 2.5
Assigned To: Philipp Kewisch [:Fallen]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 11:19 PDT by Richard Marti (:Paenglab)
Modified: 2013-07-02 03:21 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
put binary-component into libical.manifest (2.28 KB, patch)
2013-06-13 10:08 PDT, Stefan Sitter
philipp: review+
Details | Diff | Splinter Review
Fix - v1 (891 bytes, patch)
2013-07-01 03:20 PDT, Philipp Kewisch [:Fallen]
ssitter: review+
Details | Diff | Splinter Review

Description Richard Marti (:Paenglab) 2013-06-12 11:19:51 PDT
In console I get:

Tue May 28 2013 23:07:31
Error: TypeError: Components.classes[cid] is undefined
Source file: resource://calendar/modules/calUtils.jsm -> file:///Users/richi/Library/Thunderbird/Profiles/vhf50963.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js
Line: 16

and:

Tue May 28 2013 23:07:31
Error: NS_ERROR_XPC_GS_RETURNED_FAILURE: Component returned failure code: 0x80570016 (NS_ERROR_XPC_GS_RETURNED_FAILURE) [nsIJSCID.getService]
Source file: resource://calendar/modules/calUtils.jsm -> file:///Users/richi/Library/Thunderbird/Profiles/vhf50963.default/extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js
Line: 92
Comment 1 Stefan Sitter 2013-06-12 11:44:50 PDT
Most probably the registration of the binary component doesn't work correctly. Comparing win32 and macosx xpi I see:

> lightning-2.6a1.en-US.win32.xpi\components\libical.manifest
>     binary-component calbasecomps.dll

> lightning-2.6a1.en-US.mac.xpi\components\components.manifest
>     binary-component Darwin_x86-gcc3/libcalbasecomps.dylib ABI=Darwin_x86-gcc3
>     binary-component Darwin_x86_64-gcc3/libcalbasecomps.dylib ABI=Darwin_x86_64-gcc3
> lightning-2.6a1.en-US.mac.xpi\components\libical.manifest
>     binary-component libcalbasecomps.dylib

Should the platform specific information that is now in components\components.manifest in components\libical.manifest?
Comment 2 Philipp Kewisch [:Fallen] 2013-06-12 14:39:28 PDT
Indeed, it should be in libical.manifest. Likely this is a problem with the unify process done during the mac build.
Comment 3 Stefan Sitter 2013-06-13 10:08:24 PDT
Created attachment 762123 [details] [diff] [review]
put binary-component into libical.manifest

Patch is untested because I don't have access to Mac OS X. Please test if it fixes the problem.
Comment 4 Philipp Kewisch [:Fallen] 2013-06-13 13:39:14 PDT
Comment on attachment 762123 [details] [diff] [review]
put binary-component into libical.manifest

Review of attachment 762123 [details] [diff] [review]:
-----------------------------------------------------------------

Since this is the universal packaging and my mac isn't doing universal builds, its probably easier to just push this and see what the new builds say. It can't be more broken than it is now. Code looks good though. r=philipp
Comment 5 Stefan Sitter 2013-06-13 14:06:39 PDT
Pushed to https://hg.mozilla.org/comm-central/rev/788084ca950a
Comment 6 Richard Marti (:Paenglab) 2013-06-14 08:15:47 PDT
Still the same errors in console. Lightning build ID: 20130614030626
Comment 7 Stefan Sitter 2013-06-16 03:11:32 PDT
Ok, in that case someone with access to Mac OS X should take over.

Richard, do you know if other versions like Lightning 2.5a2 or Lightning 2.4b1 are broken too?
Comment 8 Richard Marti (:Paenglab) 2013-06-16 03:34:23 PDT
I have only Daily installed and can't say if this versions are broken.
Comment 9 Alexis F. 2013-06-17 13:26:37 PDT
I can confirm that Lightning 2.5a2 for Thunderbird 23.0a2 (Earlybird) is broken too on Mac OS X !!!
Comment 10 Stefan Sitter 2013-06-18 00:21:42 PDT
Philipp, I suspect this might be problem regressed by the ical.js changes. Could you have a look before this problems hits comm-beta?
Comment 11 Philipp Kewisch [:Fallen] 2013-06-18 00:26:55 PDT
Yes, I'll take a look at this some time this week.
Comment 12 Philipp Kewisch [:Fallen] 2013-06-23 21:24:30 PDT
Sorry for the delay, I really need to get to this - this week! :)
Comment 13 Bob Clary [:bc:] 2013-06-27 11:49:35 PDT
When traveling this week I switched from Linux to OSX and have not been able to use my calendar. The error I see in EarlyBird is:

Timestamp: 6/27/13 11:41:49 AM
Error: [Exception... "Component returned failure code: 0x80570018 (NS_ERROR_XPC_BAD_IID) [nsIJSCID.createInstance]"  nsresult: "0x80570018 (NS_ERROR_XPC_BAD_IID)"  location: "JS frame :: resource://calendar/modules/calUtils.jsm -> file:///.../extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js :: _calIcalCreator/< :: line 16"  data: no]
Source File: resource://calendar/modules/calUtils.jsm -> file:///.../extensions/%7Be2fda1a4-762b-4020-b5ad-a41df1933103%7D/calendar-js/calUtils.js
Line: 16
Comment 14 Alexis F. 2013-06-27 12:45:48 PDT
Bob,
it is obvious that only me and, for now, you, are using Earlybird and/or Daily for OSX.
So relax and wait, as me, for a month or more. :)
Alexis
Comment 15 Philipp Kewisch [:Fallen] 2013-07-01 03:20:29 PDT
Created attachment 769632 [details] [diff] [review]
Fix - v1

This should take care. The interfaces line was missing from the merged file.
Comment 16 Stefan Sitter 2013-07-01 12:22:33 PDT
Comment on attachment 769632 [details] [diff] [review]
Fix - v1

Cannot test or verify if the patch works or not. Therefore trust you and blank r+
Comment 17 Philipp Kewisch [:Fallen] 2013-07-01 12:32:31 PDT
Pushed to comm-central changeset 089f43fe715b
Comment 18 Philipp Kewisch [:Fallen] 2013-07-01 12:33:23 PDT
Will push to aurora/beta as soon as we have builds that work.
Comment 19 Philipp Kewisch [:Fallen] 2013-07-02 03:17:39 PDT
Backported to releases/comm-aurora changeset 0f58049a758d
Comment 20 Philipp Kewisch [:Fallen] 2013-07-02 03:21:59 PDT
Backported to releases/comm-beta changeset 7dfe4b899bca

Note You need to log in before you can comment on or make changes to this bug.